#!/bin/bash

read -p 'Enter project path: ' --
project_path=$REPLY	
echo "Project: $project_path: ${REPLY}"

src=$(find 'test/' -name '*.gc')
include=$(find $pwrb_root -name '*.h')

mkdir 'collect'
mkdir 'collect/src'
mkdir 'collect/include'

cp -t 'collect/src' $src
cp -ft 'collect/include' $include
cp -t 'collect/include' $(find $project_path -name 'ra_plc_user.h')

for file in $(find 'collect/src' -name '*.gc'); do
	#echo "$file" => "${file%.gc}.c"
	#echo "${file%.gc}.c"
	cp -- "$file" "${file%.gc}.c"
done
